Bug 182080 - 2GB as swap partition's size limit for FC4 i386/x86_64?
2GB as swap partition's size limit for FC4 i386/x86_64?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 03:46 EST by Robinson Tiemuqinke
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 00:17:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2006-02-20 03:46:18 EST
Description of problem:
What's the size limit for a swap partition for FC4? Is the 2GB limit useful 
size per swap partition still in effect or not? from mkswap manual it says 
that the limit is lift off. But really need to confirm that for i386 arch.

And for x86_64 arch, what's the maximum useful size per swap area?

The following is cut from mkswap manual:

The maximum useful size of a swap area depends on the architecture and kernel  
version.   It  is  roughly 2GiB  on  i386,  PPC,  m68k, ARM, 1GiB on sparc, 
512MiB on mips, 128GiB on alpha and 3TiB on sparc64. For kernels after 2.3.3 
there is no that limitation.


Version-Release number of selected component (if applicable):
util-linux-2.12p-9.13
kernel-2.6.13-1.1532_FC4
kernel-2.6.15-1.1831_FC4


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karel Zak 2006-02-20 09:27:20 EST
It's more than 2GB for i386 and x86_64. I think the real limit is max size of
block device (probably 32bit - 16Tb, 64bit - 8Exabyte).

Reassingning to kernel team -- maybe they know more exact numbers.
Comment 2 Dave Jones 2006-02-27 00:17:30 EST
iirc, you can have up to 32 64GB swaps active at the same time.
Posting such questions to linux-kernel is a better bet for such queries.
Bugzilla is for tracking bugs.

Note You need to log in before you can comment on or make changes to this bug.